package cn.superdesk.uniorder.dao.mapper.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterBusiness;
import cn.superdesk.uniorder.dto.param.operationCenter.business.BusinessQueryParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.base.OperationCenterVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.business.BusinessCustomerVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.business.BusinessVo;
import cn.superdesk.uniorder.dto.vo.sys.SysSelectVo;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

public interface OperationCenterBusinessMapper {
    OperationCenterBusiness selectByPrimaryKey(Long id);
    int insertSelective(OperationCenterBusiness record);
    int updateByPrimaryKey(OperationCenterBusiness record);
    List<BusinessVo> getListByParams(BusinessQueryParam param);
    List<BusinessCustomerVo> getByBusinessId(BusinessQueryParam param);

    /**
     * 业务人员下拉列表
     */
    @Select("select id code,user_name name from unified_business where deleted=0")
    List<OperationCenterVo> selectAll();

    List<SysSelectVo> selectList(Map<String,Object> params);
}
